com.sun.syndication.feed.synd

## Interface SyndImage

All Superinterfaces:
  java.lang.Cloneable, CopyFrom

All Known Implementing Classes:
  SyndImageImpl

    public interface SyndImage
    extends java.lang.Cloneable, CopyFrom

Bean interface for images of SyndFeedImpl feeds.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep clone of the object.
`java.lang.String` `getDescription()` Returns the image description.
`java.lang.String` `getLink()` Returns the image link.
`java.lang.String` `getTitle()` Returns the image title.
`java.lang.String` `getUrl()` Returns the image URL.
`void` `setDescription(java.lang.String description)` Sets the image description.
`void` `setLink(java.lang.String link)` Sets the image link.
`void` `setTitle(java.lang.String title)` Sets the image title.
`void` `setUrl(java.lang.String url)` Sets the image URL.

### Methods inherited from interface com.sun.syndication.feed.CopyFrom

`copyFrom, getInterface`

### Method Detail

#### getTitle

    java.lang.String getTitle()

Returns the image title.

Returns:
  the image title, null if none.

#### setTitle

    void setTitle(java.lang.String title)

Sets the image title.

Parameters:
  `title` - the image title to set, null if none.

#### getUrl

    java.lang.String getUrl()

Returns the image URL.

Returns:
  the image URL, null if none.

#### setUrl

    void setUrl(java.lang.String url)

Sets the image URL.

Parameters:
  `url` - the image URL to set, null if none.

#### getLink

    java.lang.String getLink()

Returns the image link.

Returns:
  the image link, null if none.

#### setLink

    void setLink(java.lang.String link)

Sets the image link.

Parameters:
  `link` - the image link to set, null if none.

#### getDescription

    java.lang.String getDescription()

Returns the image description.

Returns:
  the image description, null if none.

#### setDescription

    void setDescription(java.lang.String description)

Sets the image description.

Parameters:
  `description` - the image description to set, null if none.

#### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep clone of the object.

Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.